# ibuffer-vc: Group buffers in ibuffer list by VC project #

Emacs' `ibuffer-mode` is a wonderful replacement for the built-in
`list-buffer` command, and allows buffers to be grouped
programatically, e.g. by major mode.

If, like me, you mostly work on version-controlled files, you might
like to see your buffers grouped by the associated version control
project.

That's where `ibuffer-vc` comes in: it lets you:

* Group your buffers by their parent vc root directory
* See the VC status of the associated files
* Sort buffers by their VC status

## How to install ##

See `ibuffer-vc.el`, or (preferred) install from [Marmalade][Marmalade] or [Melpa][Melpa].


[Melpa]: http://melpa.org "Melpa"
[Marmalade]: http://marmalade-repo.org "Marmalade"


<hr>

[![](http://api.coderwall.com/purcell/endorsecount.png)](http://coderwall.com/purcell)

[![](http://www.linkedin.com/img/webpromo/btn_liprofile_blue_80x15.png)](http://uk.linkedin.com/in/stevepurcell)

[Steve Purcell's blog](http://www.sanityinc.com/) // [@sanityinc on Twitter](https://twitter.com/sanityinc)
